<div class="">
  <div class="row">
    <div class="col-auto">
      <button class="btn btn-sm  btn-secondary btn-active-primary mb-10 " (click)="printer.pdfGenerator()">
        <i class="bi bi-filetype-pdf"></i> Gerar Pdf
      </button>
    </div>

    <div class="col-sm-9">
      <div class="d-flex flex-column mb-8 fv-row fv-plugins-icon-container">
        <div class="input-group input-group-sm">

          <button class="input-group-text rounded-end-0" id="basic-addon2"
                  data-kt-menu-trigger="click" data-kt-menu-placement="bottom-start" data-kt-menu-offset="30px, 30px">
            <i class="fa fa-ellipsis-vertical"></i>&nbsp; {{ isSearch }}
          </button>
          <div
            class="menu menu-sub menu-sub-dropdown menu-column menu-gray-800 menu-state-bg-light-primary fw-semibold w-200px"
            data-kt-menu="true">
            <!--begin::Menu item-->
            <div class="menu-item px-3">
              <div class="menu-content fs-6 text-dark fw-bold px-3 py-4">Pesquisa</div>
            </div>

            <div class="separator mb-3 opacity-75"></div>

            <div class="menu-item px-3 ">
              <a (click)="setSearch('Nome')" class="menu-link {{ this.isSearch === 'Nome'?'active':''}} px-3 ">
                Pelo Nome
              </a>
            </div>
            <div class="menu-item px-3">
              <a (click)="setSearch('Cate...')" class="menu-link {{ this.isSearch === 'Cate...'?'active':''}} px-3">
                Pela Categoria
              </a>
            </div>
            <div class="menu-item px-3">
              <a (click)="setSearch('Ref...')" class="menu-link {{ this.isSearch === 'Ref...'?'active':''}} px-3">
                Pela Referência
              </a>
            </div>

          </div>

          <input type="text" name="name" class="form-control form-control-sm" autocomplete="off"
                 (keyup)="find()" [(ngModel)]="typingName"
                 placeholder="pesquisar " id="articleName">

        </div>
      </div>
    </div>


  </div>

  <a *ngIf="downloadJsonHref" class="btn btn-sm btn-light-primary btn-active-primary mb-10 mx-2"
     [href]="downloadJsonHref" download="articles_generated.json">Baixar o arquivo
  </a>
  <!--table table-row-bordered-->

  <div class=" w-100 ">
    <!--table table-striped table-row-bordered gy-2 gs-7 mb-0 pb-0 dataTable no-footer-->
    <div class="small">&nbsp;
      <span class="spinner-border spinner-border-sm text-primary {{ (awaitingProcess?'d-none':'') }}"
            role="status"></span>
      <span class="text-gray-800 fs-6 fw-bold text-danger text-muted mt-5 {{ (awaitingProcess?'d-none':'') }}">&nbsp;Aguarde...</span>
    </div>

    <table id="" class="table table-row-bordered gy-2 gs-7 mb-0 pb-0  ">
      <thead class="w-100">
      <tr class="fw-bold fs-6 text-gray-800 bg-light-primary ">

        <th class="" style="max-width: 70px!important; min-width: 70px!important; width: 70px!important;"><i
          class="cursor-pointer bi bi-arrow-down-up" (click)="page.changeDirection()"></i>&nbsp;&nbsp; #
        </th>
        <th class=" min-w-200px">Nome</th>
        <th class="min-w-auto d-none d-lg-table-cell">Referência</th>
        <th class="d-none d-lg-table-cell">Marca</th>
        <th class="d-none  d-sm-table-cell d-lg-table-cell">Modelo</th>
        <th class="min-w-auto d-none d-sm-table-cell d-lg-table-cell">Categorias</th>
        <th class="min-w-100px d-none d-lg-table-cell"></th>
      </tr>
      </thead>
      <tbody>


      <tr *ngFor="let article of  this.page.listDataArray let index = index">

        <td class=""
            style="max-width: 70px!important; min-width: 70px!important; width: 70px!important;"><span
          class="float-end">{{ staticUtil.numberConvertTo((index + 1)) }}</span></td>

        <td>{{ article.name}}</td>


        <td class="d-none d-lg-table-cell">
          <span class="badge badge-light-dark" *ngIf="article">{{ article.ean}}</span>
          <span class="badge text-muted" *ngIf="!article.ean">não foi inserido</span>
        </td>

        <td class="d-none d-lg-table-cell">
          <span class="badge badge-light-dark" *ngIf="article.marquee">{{ article.marquee}}</span>
          <span class="badge text-muted" *ngIf="!article.marquee">não foi inserido</span>
        </td>

        <td class="d-none d-sm-table-cell d-lg-table-cell">
          <span class="badge   badge-light-dark" *ngIf="article.model as modelo">{{ modelo}}</span>
          <span class="badge text-muted" *ngIf="!article.model">não foi inserido</span>
        </td>

        <td class="d-none d-sm-table-cell d-lg-table-cell" style="max-width: 230px!important;">
          <div
            style=" width: 90%; display: inline-block; white-space: nowrap; overflow: hidden;
           text-overflow: ellipsis; direction: ltr; max-width:1010px!important;">
            <span class="" *ngFor="let cate of this.verifyCate(article.category_id)">
              <span class="badge badge-light-info">{{ cate ? cate + '' : '' }}</span> &nbsp;
            </span>
          </div>
        </td>

        <td class="gap-2 justify-content-end min-w-100px d-none d-lg-table-cell">
          <button type="button" (click)="deleteArticle(article)"
                  class="btn btn-icon btn-sm btn-light-danger btn-active-danger w-25px h-25px mx-1 float-end">
            <span class="svg-icon"> <i class="bi-trash"></i></span>
          </button>
          <button type="button" (click)="edit(article)" id="editable"
                  class="btn btn-icon btn-sm btn-light-primary btn-active-primary w-25px h-25px mx-1 float-end">
            <span class="svg-icon"> <i class="fa fa-edit"></i></span>
          </button>
        </td>
      </tr>

      </tbody>
    </table>
  </div>
</div>
<div class="justify-content-between py-5 row">
  <span class="col-auto">Total de Artigos: {{ totalArticle }}</span>

  <ul class="pagination pagination-circle d-flex flex-end">
    <li
      class="page-item previous {{ !this.page.awaitingProcess?'disabled':''}}{{ !this.page.prevKeys.length?'disabled':''}} ">
      <button class="page-link" (click)="this.page.prevPage()" [disabled]="!this.page.prevKeys.length"><i
        class="previous"></i></button>
    </li>
    <li class="page-item disabled">
      <button class="page-link" disabled>1</button>
    </li>

    <li *ngFor="let a of this.page.prevKeys.slice(0,2);  let index = index  " class="page-item disabled">
      <button class="page-link" disabled>{{ (index + 2) }}</button>
    </li>
    <li *ngIf="(this.page.countAt + 1) > 3 " class="page-item ">
      <button class="page-link">...</button>
    </li>

    <li *ngIf="(this.page.countAt + 1) > 3 " disabled class="page-item ">
      <button class="page-link">{{ (this.page.countAt + 1)}}</button>
    </li>


    <li class="page-item next {{!this.page.awaitingProcess?'disabled':''}}{{ !this.page.nextKey?'disabled':''}}">
      <button class="page-link" (click)="this.page.nextPage()" [disabled]="!this.page.nextKey"><i class="next"></i>
      </button>
    </li>

  </ul>
</div>
